apiVersion: v1
kind: Service
metadata:
  name: zookeeper-service
spec:
  type: NodePort
  selector:
    app: zookeeper
  ports:
  - protocol: TCP
    targetPort: 2181
    port: 2181
    nodePort: 30181
---
apiVersion: v1
kind: Pod
metadata:
  name: zookeeper-pod
  labels:
    app: zookeeper
spec:
  containers:
  - name: zookeeper-container
    image: zookeeper
    imagePullPolicy: IfNotPresent
---
apiVersion: v1
kind: Service
metadata:
  name: kafka-service
spec:
  selector:
    app: kafka-broker
  ports:
  - protocol: TCP
    targetPort: 9092
    port: 9092
---
apiVersion: v1
kind: Pod
metadata:
  name: kafka
  labels:
    app: kafka-broker
spec:
  containers:
  - name: kafka-container
    image: wurstmeister/kafka
    imagePullPolicy: IfNotPresent
    env:
    - name: KAFKA_ADVERTISED_HOST_NAME
      value: kafka
    - name: HOST_IP
      valueFrom:
        fieldRef:
          fieldPath: status.hostIP 
    - name: KAFKA_ZOOKEEPER_CONNECT
      value: "$(HOST_IP):30181"
    - name: KAFKA_CREATE_TOPICS
      value: "tweets:1:1,cascade_series:1:1,cascade_properties:3:1,samples:3:1,models:1:1,alerts:1:1,stats:1:1,logs1:1"
    - name: POD_IP
      valueFrom:
        fieldRef:
          fieldPath: status.podIP
    - name: KAFKA_ADVERTISED_LISTENERS        
      value: "PLAINTEXT://$(POD_IP):9092"
 
